import request from '@/utils/request';
import type { EmsActionResponse, EmsDetailResponse, SparePartsInventoryCheckVO, EmsId, EmsIdParam, EmsListResponse, EmsQuery } from '../types';

// 查询备件盘点记录明细列表
export function listSparePartsInventoryCheck(query?: EmsQuery): Promise<EmsListResponse<SparePartsInventoryCheckVO>> {
  return request({
    url: '/ems/info/sparePartsInventoryCheck/list',
    method: 'get',
    params: query
  });
}

// 查询备件盘点记录明细详细
export function getSparePartsInventoryCheck(id: EmsId): Promise<EmsDetailResponse<SparePartsInventoryCheckVO>> {
  return request({
    url: '/ems/info/sparePartsInventoryCheck/' + id,
    method: 'get'
  });
}

// 新增备件盘点记录明细
export function addSparePartsInventoryCheck(data: SparePartsInventoryCheckVO): Promise<EmsActionResponse<SparePartsInventoryCheckVO>> {
  return request({
    url: '/ems/info/sparePartsInventoryCheck',
    method: 'post',
    data: data
  });
}

// 修改备件盘点记录明细
export function updateSparePartsInventoryCheck(data: SparePartsInventoryCheckVO): Promise<EmsActionResponse<SparePartsInventoryCheckVO>> {
  return request({
    url: '/ems/info/sparePartsInventoryCheck',
    method: 'put',
    data: data
  });
}

// 删除备件盘点记录明细
export function delSparePartsInventoryCheck(id: EmsIdParam): Promise<EmsActionResponse> {
  return request({
    url: '/ems/info/sparePartsInventoryCheck/' + id,
    method: 'delete'
  });
}
